{
  "custom": {
    "activityLogger": {
      "alt_pageid": "home"
    }
  },
  "params": {
    "viewFocus": "value"
  },
  "propConfig": {
    "custom.activityLogger": {
      "persistent": true
    },
    "custom.activityLogger.pageid": {
      "binding": {
        "config": {
          "expression": "{page.props.path}"
        },
        "transforms": [
          {
            "code": "\tif value \u003d\u003d\u0027/\u0027 or value \u003d\u003d \u0027\u0027 or value \u003d\u003d None:\n\t\treturn self.custom.activityLogger.alt_pageid.lower()\n\telse:\n\t\treturn value[1:].lower()",
            "type": "script"
          }
        ],
        "type": "expr"
      }
    },
    "custom.activityLogger.start_time": {
      "binding": {
        "config": {
          "expression": "now()"
        },
        "type": "expr"
      }
    },
    "params.viewFocus": {
      "paramDirection": "input",
      "persistent": true
    }
  },
  "props": {
    "defaultSize": {
      "height": 326,
      "width": 400
    }
  },
  "root": {
    "children": [
      {
        "children": [
          {
            "meta": {
              "name": "Label"
            },
            "position": {
              "basis": "36px",
              "shrink": 0
            },
            "props": {
              "style": {
                "background-color": "#555555",
                "fontWeight": "bold",
                "textAlign": "center"
              },
              "text": "Status Filters"
            },
            "type": "ia.display.label"
          },
          {
            "children": [
              {
                "custom": {
                  "buttonid": "status_filters/all"
                },
                "events": {
                  "component": {
                    "onActionPerformed": [
                      {
                        "config": {
                          "script": "\tpayload \u003d {}\n\tif self.props.selected:\n\t\tvalue \u003d True\n\telse:\n\t\tvalue \u003d False\n\t\n\tpayload[\"data\"] \u003d value\n\t\n\tsystem.perspective.sendMessage(\"select-all-filters\", \n\t\t\t\t\t\t\t\t\tpayload \u003d payload, \n\t\t\t\t\t\t\t\t\tscope \u003d \"view\")"
                        },
                        "scope": "G",
                        "type": "script"
                      },
                      {
                        "config": {
                          "script": "\tif not self.props.selected:\n\t\tbuttonid \u003d self.custom.buttonid\n\t\tactivityLog.logger.callLogger(self.view, \u0027click\u0027, buttonid)"
                        },
                        "scope": "G",
                        "type": "script"
                      }
                    ]
                  }
                },
                "meta": {
                  "name": "Select-All",
                  "tooltip": {
                    "delay": 250
                  }
                },
                "position": {
                  "basis": "36px"
                },
                "propConfig": {
                  "props.enabled": {
                    "binding": {
                      "config": {
                        "expression": "if ({session.custom.alarm_filter.show_map}\u003dTrue \u0026\u0026 {session.custom.view_in_focus}\u003d\u0027/MAP-Home\u0027, True, False)"
                      },
                      "enabled": false,
                      "type": "expr"
                    }
                  },
                  "props.selected": {
                    "binding": {
                      "config": {
                        "expression": "if({session.custom.alarm_filter.show_diagnostic} \u0026\u0026 \r\n{session.custom.alarm_filter.show_gateways} \u0026\u0026\r\n{session.custom.alarm_filter.show_low_alarm} \u0026\u0026\r\n{session.custom.alarm_filter.show_running} \u0026\u0026\r\n{session.custom.alarm_filter.show_camera_jams} \u0026\u0026\r\n{session.custom.alarm_filter.show_fio} \u0026\u0026\r\n{session.custom.alarm_filter.show_safety}, True, False)"
                      },
                      "type": "expr"
                    }
                  }
                },
                "props": {
                  "checkedIcon": {
                    "color": {
                      "disabled": "#FFFFFF",
                      "enabled": "#FFFFFF"
                    }
                  },
                  "style": {
                    "color": "#FFFFFF",
                    "fontFamily": "Arial",
                    "fontSize": 12,
                    "fontWeight": "bold",
                    "marginLeft": 10,
                    "marginRight": 10
                  },
                  "text": "Select All"
                },
                "type": "ia.input.checkbox"
              },
              {
                "custom": {
                  "buttonid": "status_filters/low_alarms"
                },
                "events": {
                  "component": {
                    "onActionPerformed": {
                      "config": {
                        "script": "\tif not self.props.selected:\n\t\tbuttonid \u003d self.custom.buttonid\n\t\tactivityLog.logger.callLogger(self.view, \u0027click\u0027, buttonid)\n\t\tactivityLog.productMetrics.callLogger(self.view, \u0027click\u0027, buttonid)"
                      },
                      "scope": "G",
                      "type": "script"
                    }
                  }
                },
                "meta": {
                  "name": "Low Alarms",
                  "tooltip": {
                    "delay": 250
                  }
                },
                "position": {
                  "basis": "36px"
                },
                "propConfig": {
                  "props.enabled": {
                    "binding": {
                      "config": {
                        "expression": "if ({session.custom.alarm_filter.show_map}\u003dTrue \u0026\u0026 {session.custom.view_in_focus}\u003d\u0027/MAP-Home\u0027, True, False)"
                      },
                      "enabled": false,
                      "type": "expr"
                    }
                  },
                  "props.selected": {
                    "binding": {
                      "config": {
                        "bidirectional": true,
                        "path": "session.custom.alarm_filter.show_low_alarm"
                      },
                      "type": "property"
                    }
                  }
                },
                "props": {
                  "checkedIcon": {
                    "color": {
                      "disabled": "#FFFFFF",
                      "enabled": "#FFFFFF"
                    }
                  },
                  "style": {
                    "color": "#FFFFFF",
                    "fontFamily": "Arial",
                    "fontSize": 12,
                    "fontWeight": "bold",
                    "marginLeft": 10,
                    "marginRight": 10
                  },
                  "text": "Show Low Alarms"
                },
                "scripts": {
                  "customMethods": [],
                  "extensionFunctions": null,
                  "messageHandlers": [
                    {
                      "messageType": "select-all-filters",
                      "pageScope": false,
                      "script": "\tdata \u003d payload[\"data\"]\n\tself.props.selected \u003d data\n\tsystem.perspective.print(data)",
                      "sessionScope": false,
                      "viewScope": true
                    }
                  ]
                },
                "type": "ia.input.checkbox"
              },
              {
                "custom": {
                  "buttonid": "status_filters/diagnostic_alarms"
                },
                "events": {
                  "component": {
                    "onActionPerformed": {
                      "config": {
                        "script": "\tif not self.props.selected:\n\t\tbuttonid \u003d self.custom.buttonid\n\t\tactivityLog.logger.callLogger(self.view, \u0027click\u0027, buttonid)\n\t\tactivityLog.productMetrics.callLogger(self.view, \u0027click\u0027, buttonid)"
                      },
                      "scope": "G",
                      "type": "script"
                    }
                  }
                },
                "meta": {
                  "name": "Diagnostic",
                  "tooltip": {
                    "delay": 250
                  }
                },
                "position": {
                  "basis": "36px"
                },
                "propConfig": {
                  "props.enabled": {
                    "binding": {
                      "config": {
                        "expression": "if ({session.custom.alarm_filter.show_map}\u003dTrue \u0026\u0026 {session.custom.view_in_focus}\u003d\u0027/MAP-Home\u0027, True, False)"
                      },
                      "enabled": false,
                      "type": "expr"
                    }
                  },
                  "props.selected": {
                    "binding": {
                      "config": {
                        "bidirectional": true,
                        "path": "session.custom.alarm_filter.show_diagnostic"
                      },
                      "type": "property"
                    }
                  }
                },
                "props": {
                  "checkedIcon": {
                    "color": {
                      "disabled": "#FFFFFF",
                      "enabled": "#FFFFFF"
                    }
                  },
                  "style": {
                    "color": "#FFFFFF",
                    "fontFamily": "Arial",
                    "fontSize": 12,
                    "fontWeight": "bold",
                    "marginLeft": 10,
                    "marginRight": 10
                  },
                  "text": "Show Diagnostic Alarms"
                },
                "scripts": {
                  "customMethods": [],
                  "extensionFunctions": null,
                  "messageHandlers": [
                    {
                      "messageType": "select-all-filters",
                      "pageScope": false,
                      "script": "\tdata \u003d payload[\"data\"]\n\tself.props.selected \u003d data",
                      "sessionScope": false,
                      "viewScope": true
                    }
                  ]
                },
                "type": "ia.input.checkbox"
              },
              {
                "custom": {
                  "buttonid": "status_filters/running_status"
                },
                "events": {
                  "component": {
                    "onActionPerformed": {
                      "config": {
                        "script": "\tif not self.props.selected:\n\t\tbuttonid \u003d self.custom.buttonid\n\t\tactivityLog.logger.callLogger(self.view, \u0027click\u0027, buttonid)\n\t\tactivityLog.productMetrics.callLogger(self.view, \u0027click\u0027, buttonid)"
                      },
                      "scope": "G",
                      "type": "script"
                    }
                  }
                },
                "meta": {
                  "name": "Running",
                  "tooltip": {
                    "delay": 250
                  }
                },
                "position": {
                  "basis": "36px"
                },
                "propConfig": {
                  "props.enabled": {
                    "binding": {
                      "config": {
                        "expression": "if ({session.custom.alarm_filter.show_map}\u003dTrue \u0026\u0026 {session.custom.view_in_focus}\u003d\u0027/MAP-Home\u0027, True, False)"
                      },
                      "enabled": false,
                      "type": "expr"
                    }
                  },
                  "props.selected": {
                    "binding": {
                      "config": {
                        "bidirectional": true,
                        "path": "session.custom.alarm_filter.show_running"
                      },
                      "type": "property"
                    }
                  }
                },
                "props": {
                  "checkedIcon": {
                    "color": {
                      "disabled": "#FFFFFF",
                      "enabled": "#FFFFFF"
                    }
                  },
                  "style": {
                    "color": "#FFFFFF",
                    "fontFamily": "Arial",
                    "fontSize": 12,
                    "fontWeight": "bold",
                    "marginLeft": 10,
                    "marginRight": 10
                  },
                  "text": "Show Running Status"
                },
                "scripts": {
                  "customMethods": [],
                  "extensionFunctions": null,
                  "messageHandlers": [
                    {
                      "messageType": "select-all-filters",
                      "pageScope": false,
                      "script": "\tdata \u003d payload[\"data\"]\n\tself.props.selected \u003d data",
                      "sessionScope": false,
                      "viewScope": true
                    }
                  ]
                },
                "type": "ia.input.checkbox"
              },
              {
                "custom": {
                  "buttonid": "status_filters/low_alarms"
                },
                "events": {
                  "component": {
                    "onActionPerformed": {
                      "config": {
                        "script": "\tif not self.props.selected:\n\t\tbuttonid \u003d self.custom.buttonid\n\t\tactivityLog.logger.callLogger(self.view, \u0027click\u0027, buttonid)\n\t\tactivityLog.productMetrics.callLogger(self.view, \u0027click\u0027, buttonid)"
                      },
                      "scope": "G",
                      "type": "script"
                    }
                  }
                },
                "meta": {
                  "name": "Show-Buttons",
                  "tooltip": {
                    "delay": 250
                  }
                },
                "position": {
                  "basis": "36px"
                },
                "propConfig": {
                  "props.enabled": {
                    "binding": {
                      "config": {
                        "expression": "if ({session.custom.alarm_filter.show_map}\u003dTrue \u0026\u0026 {session.custom.view_in_focus}\u003d\u0027/MAP-Home\u0027, True, False)"
                      },
                      "enabled": false,
                      "type": "expr"
                    }
                  },
                  "props.selected": {
                    "binding": {
                      "config": {
                        "bidirectional": true,
                        "path": "session.custom.alarm_filter.show_buttons"
                      },
                      "type": "property"
                    }
                  }
                },
                "props": {
                  "checkedIcon": {
                    "color": {
                      "disabled": "#FFFFFF",
                      "enabled": "#FFFFFF"
                    }
                  },
                  "style": {
                    "color": "#FFFFFF",
                    "fontFamily": "Arial",
                    "fontSize": 12,
                    "fontWeight": "bold",
                    "marginLeft": 10,
                    "marginRight": 10
                  },
                  "text": "Show Buttons"
                },
                "scripts": {
                  "customMethods": [],
                  "extensionFunctions": null,
                  "messageHandlers": [
                    {
                      "messageType": "select-all-filters",
                      "pageScope": false,
                      "script": "\tdata \u003d payload[\"data\"]\n\tself.props.selected \u003d data\n\tsystem.perspective.print(data)",
                      "sessionScope": false,
                      "viewScope": true
                    }
                  ]
                },
                "type": "ia.input.checkbox"
              },
              {
                "custom": {
                  "buttonid": "status_filters/estops_pullChords"
                },
                "events": {
                  "component": {
                    "onActionPerformed": {
                      "config": {
                        "script": "\tif not self.props.selected:\n\t\tbuttonid \u003d self.custom.buttonid\n\t\tactivityLog.logger.callLogger(self.view, \u0027click\u0027, buttonid)\n\t\tactivityLog.productMetrics.callLogger(self.view, \u0027click\u0027, buttonid)"
                      },
                      "scope": "G",
                      "type": "script"
                    }
                  }
                },
                "meta": {
                  "name": "E-Stops",
                  "tooltip": {
                    "delay": 250
                  }
                },
                "position": {
                  "basis": "36px"
                },
                "propConfig": {
                  "props.enabled": {
                    "binding": {
                      "config": {
                        "expression": "if ({session.custom.alarm_filter.show_map}\u003dTrue \u0026\u0026 {session.custom.view_in_focus}\u003d\u0027/MAP-Home\u0027, True, False)"
                      },
                      "enabled": false,
                      "type": "expr"
                    }
                  },
                  "props.selected": {
                    "binding": {
                      "config": {
                        "bidirectional": true,
                        "path": "session.custom.alarm_filter.show_safety"
                      },
                      "type": "property"
                    }
                  }
                },
                "props": {
                  "checkedIcon": {
                    "color": {
                      "disabled": "#FFFFFF",
                      "enabled": "#FFFFFF"
                    }
                  },
                  "style": {
                    "color": "#FFFFFF",
                    "fontFamily": "Arial",
                    "fontSize": 12,
                    "fontWeight": "bold",
                    "marginLeft": 10,
                    "marginRight": 10
                  },
                  "text": "Show E-Stops \u0026 Pull Chords"
                },
                "scripts": {
                  "customMethods": [],
                  "extensionFunctions": null,
                  "messageHandlers": [
                    {
                      "messageType": "select-all-filters",
                      "pageScope": false,
                      "script": "\tdata \u003d payload[\"data\"]\n\tself.props.selected \u003d data",
                      "sessionScope": false,
                      "viewScope": true
                    }
                  ]
                },
                "type": "ia.input.checkbox"
              },
              {
                "custom": {
                  "buttonid": "status_filters/gateways"
                },
                "events": {
                  "component": {
                    "onActionPerformed": {
                      "config": {
                        "script": "\tif not self.props.selected:\n\t\tbuttonid \u003d self.custom.buttonid\n\t\tactivityLog.logger.callLogger(self.view, \u0027click\u0027, buttonid)\n\t\tactivityLog.productMetrics.callLogger(self.view, \u0027click\u0027, buttonid)"
                      },
                      "scope": "G",
                      "type": "script"
                    }
                  }
                },
                "meta": {
                  "name": "Show-DPM-MCM",
                  "tooltip": {
                    "delay": 250
                  }
                },
                "position": {
                  "basis": "36px"
                },
                "propConfig": {
                  "props.enabled": {
                    "binding": {
                      "config": {
                        "expression": "if ({session.custom.alarm_filter.show_map}\u003dTrue \u0026\u0026 {session.custom.view_in_focus}\u003d\u0027/MAP-Home\u0027, True, False)"
                      },
                      "enabled": false,
                      "type": "expr"
                    }
                  },
                  "props.selected": {
                    "binding": {
                      "config": {
                        "bidirectional": true,
                        "path": "session.custom.alarm_filter.show_gateways"
                      },
                      "type": "property"
                    }
                  }
                },
                "props": {
                  "checkedIcon": {
                    "color": {
                      "disabled": "#FFFFFF",
                      "enabled": "#FFFFFF"
                    }
                  },
                  "style": {
                    "color": "#FFFFFF",
                    "fontFamily": "Arial",
                    "fontSize": 12,
                    "fontWeight": "bold",
                    "marginLeft": 10,
                    "marginRight": 10
                  },
                  "text": "Show DPM \u0026 MCM"
                },
                "scripts": {
                  "customMethods": [],
                  "extensionFunctions": null,
                  "messageHandlers": [
                    {
                      "messageType": "select-all-filters",
                      "pageScope": false,
                      "script": "\tdata \u003d payload[\"data\"]\n\tself.props.selected \u003d data",
                      "sessionScope": false,
                      "viewScope": true
                    }
                  ]
                },
                "type": "ia.input.checkbox"
              },
              {
                "custom": {
                  "buttonid": "status_filters/camera_jams"
                },
                "events": {
                  "component": {
                    "onActionPerformed": {
                      "config": {
                        "script": "\tif not self.props.selected:\n\t\tbuttonid \u003d self.custom.buttonid\n\t\tactivityLog.logger.callLogger(self.view, \u0027click\u0027, buttonid)\n\t\tactivityLog.productMetrics.callLogger(self.view, \u0027click\u0027, buttonid)"
                      },
                      "scope": "G",
                      "type": "script"
                    }
                  }
                },
                "meta": {
                  "name": "Show-Camera-Jams",
                  "tooltip": {
                    "delay": 250
                  }
                },
                "position": {
                  "basis": "36px"
                },
                "propConfig": {
                  "props.enabled": {
                    "binding": {
                      "config": {
                        "expression": "if ({session.custom.alarm_filter.show_map}\u003dTrue \u0026\u0026 {session.custom.view_in_focus}\u003d\u0027/MAP-Home\u0027, True, False)"
                      },
                      "enabled": false,
                      "type": "expr"
                    }
                  },
                  "props.selected": {
                    "binding": {
                      "config": {
                        "bidirectional": true,
                        "path": "session.custom.alarm_filter.show_camera_jams"
                      },
                      "type": "property"
                    }
                  }
                },
                "props": {
                  "checkedIcon": {
                    "color": {
                      "disabled": "#FFFFFF",
                      "enabled": "#FFFFFF"
                    }
                  },
                  "style": {
                    "color": "#FFFFFF",
                    "fontFamily": "Arial",
                    "fontSize": 12,
                    "fontWeight": "bold",
                    "marginLeft": 10,
                    "marginRight": 10
                  },
                  "text": "Show Camera Jams"
                },
                "scripts": {
                  "customMethods": [],
                  "extensionFunctions": null,
                  "messageHandlers": [
                    {
                      "messageType": "select-all-filters",
                      "pageScope": false,
                      "script": "\tdata \u003d payload[\"data\"]\n\tself.props.selected \u003d data",
                      "sessionScope": false,
                      "viewScope": true
                    }
                  ]
                },
                "type": "ia.input.checkbox"
              },
              {
                "custom": {
                  "buttonid": "status_filters/fio_sio"
                },
                "events": {
                  "component": {
                    "onActionPerformed": {
                      "config": {
                        "script": "\tif not self.props.selected:\n\t\tbuttonid \u003d self.custom.buttonid\n\t\tactivityLog.logger.callLogger(self.view, \u0027click\u0027, buttonid)\n\t\tactivityLog.productMetrics.callLogger(self.view, \u0027click\u0027, buttonid)"
                      },
                      "scope": "G",
                      "type": "script"
                    }
                  }
                },
                "meta": {
                  "name": "Show-Fios",
                  "tooltip": {
                    "delay": 250
                  }
                },
                "position": {
                  "basis": "36px"
                },
                "propConfig": {
                  "props.enabled": {
                    "binding": {
                      "config": {
                        "expression": "if ({session.custom.alarm_filter.show_map}\u003dTrue \u0026\u0026 {session.custom.view_in_focus}\u003d\u0027/MAP-Home\u0027, True, False)"
                      },
                      "enabled": false,
                      "type": "expr"
                    }
                  },
                  "props.selected": {
                    "binding": {
                      "config": {
                        "bidirectional": true,
                        "path": "session.custom.alarm_filter.show_fio"
                      },
                      "type": "property"
                    }
                  }
                },
                "props": {
                  "checkedIcon": {
                    "color": {
                      "disabled": "#FFFFFF",
                      "enabled": "#FFFFFF"
                    }
                  },
                  "style": {
                    "color": "#FFFFFF",
                    "fontFamily": "Arial",
                    "fontSize": 12,
                    "fontWeight": "bold",
                    "marginLeft": 10,
                    "marginRight": 10
                  },
                  "text": "Show FIO \u0026 SIO"
                },
                "scripts": {
                  "customMethods": [],
                  "extensionFunctions": null,
                  "messageHandlers": [
                    {
                      "messageType": "select-all-filters",
                      "pageScope": false,
                      "script": "\tdata \u003d payload[\"data\"]\n\tself.props.selected \u003d data",
                      "sessionScope": false,
                      "viewScope": true
                    }
                  ]
                },
                "type": "ia.input.checkbox"
              }
            ],
            "meta": {
              "name": "FlexContainer"
            },
            "position": {
              "grow": 1
            },
            "props": {
              "direction": "column",
              "justify": "space-between"
            },
            "type": "ia.container.flex"
          },
          {
            "events": {
              "component": {
                "onActionPerformed": {
                  "config": {
                    "script": "\tsystem.perspective.closePopup(\u0027\u0027)"
                  },
                  "scope": "G",
                  "type": "script"
                }
              }
            },
            "meta": {
              "name": "Button"
            },
            "position": {
              "basis": "30px",
              "shrink": 0
            },
            "props": {
              "box-shadow": "5px 5px 5px",
              "style": {
                "backgroundColor": "#555555",
                "classes": "Background-Styles/Controller",
                "marginBottom": 5,
                "marginLeft": 20,
                "marginRight": 20,
                "marginTop": 5
              },
              "text": "Close"
            },
            "type": "ia.input.button"
          }
        ],
        "meta": {
          "name": "Status"
        },
        "position": {
          "basis": "200px",
          "shrink": 0
        },
        "props": {
          "direction": "column",
          "style": {
            "borderColor": "#FFFFFF",
            "borderStyle": "solid",
            "borderWidth": 1
          }
        },
        "type": "ia.container.flex"
      },
      {
        "children": [
          {
            "meta": {
              "name": "Label"
            },
            "position": {
              "basis": "36px",
              "shrink": 0
            },
            "props": {
              "style": {
                "background-color": "#555555",
                "fontWeight": "bold",
                "textAlign": "center"
              },
              "text": "Accessibility"
            },
            "type": "ia.display.label"
          },
          {
            "children": [
              {
                "custom": {
                  "buttonid": "accessibility/color_blind_icons"
                },
                "events": {
                  "component": {
                    "onActionPerformed": {
                      "config": {
                        "script": "\tif self.props.selected:\n\t\tbuttonid \u003d self.custom.buttonid\n\t\tactivityLog.logger.callLogger(self.view, \u0027click\u0027, buttonid)\n\t\tactivityLog.productMetrics.callLogger(self.view, \u0027click\u0027, buttonid)"
                      },
                      "scope": "G",
                      "type": "script"
                    }
                  }
                },
                "meta": {
                  "name": "Alt Colours"
                },
                "position": {
                  "basis": "36px"
                },
                "propConfig": {
                  "props.selected": {
                    "binding": {
                      "config": {
                        "bidirectional": true,
                        "path": "session.custom.colours.colour_impaired"
                      },
                      "type": "property"
                    }
                  }
                },
                "props": {
                  "checkedIcon": {
                    "color": {
                      "disabled": "#FFFFFF",
                      "enabled": "#FFFFFF"
                    }
                  },
                  "style": {
                    "color": "#FFFFFF",
                    "fontFamily": "Arial",
                    "fontSize": 12,
                    "fontWeight": "bold",
                    "marginLeft": 10,
                    "marginRight": 10
                  },
                  "text": "Colour-Blind Friendly Icons"
                },
                "type": "ia.input.checkbox"
              },
              {
                "children": [
                  {
                    "meta": {
                      "name": "Label_0"
                    },
                    "props": {
                      "style": {
                        "color": "#FFFFFF",
                        "fontFamily": "Arial",
                        "fontSize": 12,
                        "fontWeight": "bold",
                        "marginLeft": 10,
                        "marginRight": 10
                      },
                      "text": "Magnification:"
                    },
                    "type": "ia.display.label"
                  },
                  {
                    "custom": {
                      "buttonid": "accessibility/magnify"
                    },
                    "meta": {
                      "name": "Dropdown"
                    },
                    "position": {
                      "basis": "80px",
                      "shrink": 0
                    },
                    "propConfig": {
                      "props.value": {
                        "binding": {
                          "config": {
                            "bidirectional": true,
                            "path": "session.custom.alarm_filter.magnificaiton"
                          },
                          "type": "property"
                        },
                        "onChange": {
                          "enabled": null,
                          "script": "\ttry:\n\t\tif previousValue.value !\u003d currentValue.value:\n\t\t\tactivityLog.productMetrics.callLogger(self.view, \u0027click\u0027, self.custom.buttonid)\n\texcept:\n\t\tpass"
                        }
                      }
                    },
                    "props": {
                      "options": [
                        {
                          "label": "x1",
                          "value": "x1"
                        },
                        {
                          "label": "x2",
                          "value": "x2"
                        },
                        {
                          "label": "x3",
                          "value": "x3"
                        },
                        {
                          "label": "None",
                          "value": "None"
                        }
                      ],
                      "placeholder": {
                        "text": ""
                      },
                      "style": {
                        "marginBottom": 3,
                        "marginTop": 3
                      }
                    },
                    "type": "ia.input.dropdown"
                  }
                ],
                "meta": {
                  "name": "FlexContainer"
                },
                "position": {
                  "basis": "36px"
                },
                "type": "ia.container.flex"
              }
            ],
            "meta": {
              "name": "FlexContainer"
            },
            "position": {
              "basis": 80
            },
            "props": {
              "direction": "column"
            },
            "type": "ia.container.flex"
          },
          {
            "meta": {
              "name": "Label_0"
            },
            "position": {
              "basis": "36px",
              "shrink": 0
            },
            "props": {
              "style": {
                "background-color": "#555555",
                "fontWeight": "bold",
                "textAlign": "center"
              },
              "text": "Home Card View"
            },
            "type": "ia.display.label"
          },
          {
            "children": [
              {
                "custom": {
                  "buttonid": "status_filters/orderby"
                },
                "events": {
                  "component": {
                    "onActionPerformed": {
                      "config": {
                        "script": "\tif self.props.selected:\n\t\tbuttonid \u003d self.custom.buttonid\n\t\tactivityLog.logger.callLogger(self.view, \u0027click\u0027, buttonid)\n\t\tactivityLog.productMetrics.callLogger(self.view, \u0027click\u0027, buttonid)"
                      },
                      "scope": "G",
                      "type": "script"
                    }
                  }
                },
                "meta": {
                  "name": "Order-By"
                },
                "position": {
                  "basis": "36px"
                },
                "propConfig": {
                  "props.selected": {
                    "binding": {
                      "config": {
                        "bidirectional": true,
                        "path": "session.custom.alarm_filter.orderby"
                      },
                      "type": "property"
                    }
                  }
                },
                "props": {
                  "checkedIcon": {
                    "color": {
                      "disabled": "#FFFFFF",
                      "enabled": "#FFFFFF"
                    }
                  },
                  "style": {
                    "color": "#FFFFFF",
                    "fontFamily": "Arial",
                    "fontSize": 12,
                    "fontWeight": "bold",
                    "marginLeft": 10,
                    "marginRight": 10
                  },
                  "text": "Order Cards By Area"
                },
                "type": "ia.input.checkbox"
              },
              {
                "meta": {
                  "name": "Label"
                },
                "position": {
                  "basis": "32px",
                  "display": false
                },
                "propConfig": {
                  "props.text": {
                    "binding": {
                      "config": {
                        "path": "view.params.viewFocus"
                      },
                      "transforms": [
                        {
                          "code": "#\tvalue \u003d value.split(\u0027/\u0027)\n#\tvalue \u003d value.pop()\n\n\treturn value",
                          "type": "script"
                        }
                      ],
                      "type": "property"
                    }
                  }
                },
                "type": "ia.display.label"
              }
            ],
            "meta": {
              "name": "FlexContainer_0"
            },
            "position": {
              "basis": 65,
              "grow": 1
            },
            "props": {
              "direction": "column",
              "justify": "space-between"
            },
            "type": "ia.container.flex"
          }
        ],
        "meta": {
          "name": "Accessibility"
        },
        "position": {
          "basis": "200px",
          "shrink": 0
        },
        "props": {
          "direction": "column",
          "style": {
            "borderColor": "#FFFFFF",
            "borderStyle": "solid",
            "borderWidth": 1
          }
        },
        "type": "ia.container.flex"
      }
    ],
    "meta": {
      "name": "root"
    },
    "props": {
      "style": {
        "classes": "Background-Styles/Controller"
      }
    },
    "type": "ia.container.flex"
  }
}